Subject: bug#58041: [PATCH] docview: Use svg images when using mupdf for conversion

From: Visuwesh <[email-masked]>
Date: Thu, 12 Jan 2023 13:50:24 +0530

[வியாழன் ஜனவரி 12, 2023] Eli Zaretskii wrote:

>> >> I suppose so.  But I'm not really sure if users out in the wild adjust
>> >> the variable.
>> >
>> > I set it to nil because of the blurriness.
>> >> If they do, then it might be worth looking into ignoring
>> >> that variable if we're generating SVG images.
>> >
>> > Ah, that'd be a good option, indeed.
>> 
>> Right, then I guess adjustment of that sort is in order.  How about the
>> following patch?  It should be safe enough to go to emacs-29.
>
> Since this is not fixing a bug, I'd prefer it to go to master.

IMO it would be better to go to emacs-29 since it prevents wasteful
(re-)generation of SVG files but if you insist, master is fine by me.

>> [...]
>> +Note that MuPDF SVG generation is known to sometimes generate files
>> +that are buggy or can take a long time to render.
>
> The last sentence makes me wonder why we made a less-than-perfect
> option the default.  It's against our usual conservative approach.

When I daily drove the patch to test it, I did not hit into the troubles
mentioned above so I turned the feature on by default but if the
troubles come up a lot more often, then I agree that it should be off by
default.